<?php

/**
 * Departamentos form base class.
 *
 * @package    form
 * @subpackage departamentos
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseDepartamentosForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'coddepto' => new sfWidgetFormInputHidden(),
      'desdepto' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'coddepto' => new sfValidatorPropelChoice(array('model' => 'Departamentos', 'column' => 'coddepto', 'required' => false)),
      'desdepto' => new sfValidatorString(array('max_length' => 150, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('departamentos[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Departamentos';
  }


}
